%define major		0
%define major_1		1
%define libtss2_mu	%mklibname tss2-mu %{major}
%define libtss2_sys	%mklibname tss2-sys %{major_1}
%define libtss2_esys	%mklibname tss2-esys %{major}
%define libtss2_fapi	%mklibname tss2-fapi %{major_1}
%define libtss2_rc	%mklibname tss2-rc %{major}
%define libtss2_tctildr	%mklibname tss2-tctildr %{major}
%define libtss2_tcti_c	%mklibname tss2-tcti-cmd %{major}
%define libtss2_tcti_d	%mklibname tss2-tcti-device %{major}
%define libtss2_tcti_m	%mklibname tss2-tcti-mssim %{major}
%define libtss2_tcti_s	%mklibname tss2-tcti-swtpm %{major}
%define develname	%mklibname %{name} -d

%define udevrules_prefix	60-

Name:		tpm2-tss
Version:	3.0.3
Release:	%mkrel 1
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
# The entire source code is under BSD except implementation.h and tpmb.h which
# is under TCGL(Trusted Computing Group License).
License:	BSD and TCGL
URL:		https://github.com/tpm2-software/tpm2-tss
Source0:	https://github.com/tpm2-software/tpm2-tss/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		tpm2-tss-2.4.0-add-group.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	autoconf-archive
BuildRequires:	libtool
BuildRequires:	systemd
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(openssl)

%description
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_mu}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_mu}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_sys}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_sys}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_esys}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_esys}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_fapi}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_fapi}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_rc}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_rc}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tctildr}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tctildr}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_c}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tcti_c}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_d}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tcti_d}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_m}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tcti_m}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_s}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tcti_s}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libtss2_mu} = %{version}-%{release}
Requires:	%{libtss2_sys} = %{version}-%{release}
Requires:	%{libtss2_esys} = %{version}-%{release}
Requires:	%{libtss2_fapi} = %{version}-%{release}
Requires:	%{libtss2_rc} = %{version}-%{release}
Requires:	%{libtss2_tctildr} = %{version}-%{release}
Requires:	%{libtss2_tcti_c} = %{version}-%{release}
Requires:	%{libtss2_tcti_d} = %{version}-%{release}
Requires:	%{libtss2_tcti_m} = %{version}-%{release}
Requires:	%{libtss2_tcti_s} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}

%build
# Use built-in tpm-udev.rules, with specified installation path and prefix.
%configure \
	--disable-static \
	--disable-silent-rules \
	--with-sysusersdir=%{_sysusersdir} \
	--with-tmpfilesdir=%{_tmpfilesdir} \
	--with-udevrulesdir=%{_udevrulesdir} \
	--with-udevrulesprefix=%{udevrules_prefix} \
	--with-runstatedir=%{_rundir}

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_tmpfilesdir}/tpm2-tss-fapi.conf
%{_sysconfdir}/tpm2-tss/
%{_udevrulesdir}/%{udevrules_prefix}tpm-udev.rules
%{_sysusersdir}/%{name}.conf

%files -n %{libtss2_mu}
%{_libdir}/libtss2-mu.so.%{major}{,.*}

%files -n %{libtss2_sys}
%{_libdir}/libtss2-sys.so.%{major_1}{,.*}

%files -n %{libtss2_esys}
%{_libdir}/libtss2-esys.so.%{major}{,.*}

%files -n %{libtss2_fapi}
%{_libdir}/libtss2-fapi.so.%{major_1}{,.*}

%files -n %{libtss2_rc}
%{_libdir}/libtss2-rc.so.%{major}{,.*}

%files -n %{libtss2_tctildr}
%{_libdir}/libtss2-tctildr.so.%{major}{,.*}

%files -n %{libtss2_tcti_c}
%{_libdir}/libtss2-tcti-cmd.so.%{major}{,.*}

%files -n %{libtss2_tcti_d}
%{_libdir}/libtss2-tcti-device.so.%{major}{,.*}

%files -n %{libtss2_tcti_m}
%{_libdir}/libtss2-tcti-mssim.so.%{major}{,.*}

%files -n %{libtss2_tcti_s}
%{_libdir}/libtss2-tcti-swtpm.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/tss2/
%{_libdir}/libtss2-mu.so
%{_libdir}/libtss2-sys.so
%{_libdir}/libtss2-esys.so
%{_libdir}/libtss2-fapi.so
%{_libdir}/libtss2-rc.so
%{_libdir}/libtss2-tctildr.so
%{_libdir}/libtss2-tcti-cmd.so
%{_libdir}/libtss2-tcti-device.so
%{_libdir}/libtss2-tcti-mssim.so
%{_libdir}/libtss2-tcti-swtpm.so
%{_libdir}/pkgconfig/tss2-mu.pc
%{_libdir}/pkgconfig/tss2-sys.pc
%{_libdir}/pkgconfig/tss2-esys.pc
%{_libdir}/pkgconfig/tss2-fapi.pc
%{_libdir}/pkgconfig/tss2-rc.pc
%{_libdir}/pkgconfig/tss2-tctildr.pc
%{_libdir}/pkgconfig/tss2-tcti-cmd.pc
%{_libdir}/pkgconfig/tss2-tcti-device.pc
%{_libdir}/pkgconfig/tss2-tcti-mssim.pc
%{_libdir}/pkgconfig/tss2-tcti-swtpm.pc
%{_mandir}/man3/*.3.*
%{_mandir}/man5/fapi*.5.*
%{_mandir}/man7/tss2*.7.*


%changelog
* Sun Nov 29 2020 luigiwalser <luigiwalser> 3.0.3-1.mga8
+ Revision: 1650323
- 3.0.3

* Mon Nov 23 2020 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1648629
- new version: 3.0.2

* Thu Sep 24 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1629694
- new version: 3.0.1

* Sat Aug 08 2020 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1611972
- new version: 3.0.0
- adjust files list

* Thu May 14 2020 daviddavid <daviddavid> 2.4.1-1.mga8
+ Revision: 1583705
- new version: 2.4.1

* Sat Apr 11 2020 ovitters <ovitters> 2.4.0-2.mga8
+ Revision: 1566333
- fix runstatedir

* Tue Apr 07 2020 daviddavid <daviddavid> 2.4.0-1.mga8
+ Revision: 1565432
- new version: 2.4.0

* Mon Feb 24 2020 daviddavid <daviddavid> 2.3.3-1.mga8
+ Revision: 1550088
- new version: 2.3.3

* Tue Feb 18 2020 umeabot <umeabot> 2.3.2-2.mga8
+ Revision: 1539725
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 13 2019 daviddavid <daviddavid> 2.3.2-1.mga8
+ Revision: 1466120
- new version: 2.3.2

* Sun Oct 06 2019 daviddavid <daviddavid> 2.3.1-2.mga8
+ Revision: 1449961
- create tss user and group (mga#24457)

* Mon Sep 02 2019 daviddavid <daviddavid> 2.3.1-1.mga8
+ Revision: 1436345
- new version: 2.3.1

* Mon Aug 19 2019 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1429999
- new version: 2.3.0

* Sat Jun 29 2019 daviddavid <daviddavid> 2.2.3-1.mga8
+ Revision: 1415869
- new version: 2.2.3

* Fri Mar 29 2019 daviddavid <daviddavid> 2.2.2-1.mga7
+ Revision: 1381131
- new version: 2.2.2

* Sun Mar 03 2019 daviddavid <daviddavid> 2.2.1-1.mga7
+ Revision: 1371194
- new version: 2.2.1

* Wed Feb 06 2019 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1363507
- new version: 2.2.0

* Sat Jan 05 2019 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1349716
- initial package tpm2-tss

